// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: MessageHeader.proto

package ru.omnicomm.pegasus.messaging.common;

public final class CommonParser {
  private CommonParser() {}
  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistry registry) {
  }
  public static final class MessageHeader extends
      com.google.protobuf.GeneratedMessage {
    // Use MessageHeader.newBuilder() to construct.
    private MessageHeader() {
      initFields();
    }
    private MessageHeader(boolean noInit) {}
    
    private static final MessageHeader defaultInstance;
    public static MessageHeader getDefaultInstance() {
      return defaultInstance;
    }
    
    public MessageHeader getDefaultInstanceForType() {
      return defaultInstance;
    }
    
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return ru.omnicomm.pegasus.messaging.common.CommonParser.internal_static_ru_omnicomm_pegasus_messaging_common_MessageHeader_descriptor;
    }
    
    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return ru.omnicomm.pegasus.messaging.common.CommonParser.internal_static_ru_omnicomm_pegasus_messaging_common_MessageHeader_fieldAccessorTable;
    }
    
    // required int32 sourceId = 1;
    public static final int SOURCEID_FIELD_NUMBER = 1;
    private boolean hasSourceId;
    private int sourceId_ = 0;
    public boolean hasSourceId() { return hasSourceId; }
    public int getSourceId() { return sourceId_; }
    
    // optional int32 messageType = 2;
    public static final int MESSAGETYPE_FIELD_NUMBER = 2;
    private boolean hasMessageType;
    private int messageType_ = 0;
    public boolean hasMessageType() { return hasMessageType; }
    public int getMessageType() { return messageType_; }
    
    // required int32 messageTime = 3;
    public static final int MESSAGETIME_FIELD_NUMBER = 3;
    private boolean hasMessageTime;
    private int messageTime_ = 0;
    public boolean hasMessageTime() { return hasMessageTime; }
    public int getMessageTime() { return messageTime_; }
    
    private void initFields() {
    }
    public final boolean isInitialized() {
      if (!hasSourceId) return false;
      if (!hasMessageTime) return false;
      return true;
    }
    
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      getSerializedSize();
      if (hasSourceId()) {
        output.writeInt32(1, getSourceId());
      }
      if (hasMessageType()) {
        output.writeInt32(2, getMessageType());
      }
      if (hasMessageTime()) {
        output.writeInt32(3, getMessageTime());
      }
      getUnknownFields().writeTo(output);
    }
    
    private int memoizedSerializedSize = -1;
    public int getSerializedSize() {
      int size = memoizedSerializedSize;
      if (size != -1) return size;
    
      size = 0;
      if (hasSourceId()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(1, getSourceId());
      }
      if (hasMessageType()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(2, getMessageType());
      }
      if (hasMessageTime()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(3, getMessageTime());
      }
      size += getUnknownFields().getSerializedSize();
      memoizedSerializedSize = size;
      return size;
    }
    
    public static ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input, extensionRegistry)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    
    public static Builder newBuilder() { return Builder.create(); }
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder(ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader prototype) {
      return newBuilder().mergeFrom(prototype);
    }
    public Builder toBuilder() { return newBuilder(this); }
    
    public static final class Builder extends
        com.google.protobuf.GeneratedMessage.Builder<Builder> {
      private ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader result;
      
      // Construct using ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader.newBuilder()
      private Builder() {}
      
      private static Builder create() {
        Builder builder = new Builder();
        builder.result = new ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader();
        return builder;
      }
      
      protected ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader internalGetResult() {
        return result;
      }
      
      public Builder clear() {
        if (result == null) {
          throw new IllegalStateException(
            "Cannot call clear() after build().");
        }
        result = new ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader();
        return this;
      }
      
      public Builder clone() {
        return create().mergeFrom(result);
      }
      
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader.getDescriptor();
      }
      
      public ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader getDefaultInstanceForType() {
        return ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader.getDefaultInstance();
      }
      
      public boolean isInitialized() {
        return result.isInitialized();
      }
      public ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader build() {
        if (result != null && !isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return buildPartial();
      }
      
      private ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader buildParsed()
          throws com.google.protobuf.InvalidProtocolBufferException {
        if (!isInitialized()) {
          throw newUninitializedMessageException(
            result).asInvalidProtocolBufferException();
        }
        return buildPartial();
      }
      
      public ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader buildPartial() {
        if (result == null) {
          throw new IllegalStateException(
            "build() has already been called on this Builder.");
        }
        ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader returnMe = result;
        result = null;
        return returnMe;
      }
      
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader) {
          return mergeFrom((ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }
      
      public Builder mergeFrom(ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader other) {
        if (other == ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader.getDefaultInstance()) return this;
        if (other.hasSourceId()) {
          setSourceId(other.getSourceId());
        }
        if (other.hasMessageType()) {
          setMessageType(other.getMessageType());
        }
        if (other.hasMessageTime()) {
          setMessageTime(other.getMessageTime());
        }
        this.mergeUnknownFields(other.getUnknownFields());
        return this;
      }
      
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder(
            this.getUnknownFields());
        while (true) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              this.setUnknownFields(unknownFields.build());
              return this;
            default: {
              if (!parseUnknownField(input, unknownFields,
                                     extensionRegistry, tag)) {
                this.setUnknownFields(unknownFields.build());
                return this;
              }
              break;
            }
            case 8: {
              setSourceId(input.readInt32());
              break;
            }
            case 16: {
              setMessageType(input.readInt32());
              break;
            }
            case 24: {
              setMessageTime(input.readInt32());
              break;
            }
          }
        }
      }
      
      
      // required int32 sourceId = 1;
      public boolean hasSourceId() {
        return result.hasSourceId();
      }
      public int getSourceId() {
        return result.getSourceId();
      }
      public Builder setSourceId(int value) {
        result.hasSourceId = true;
        result.sourceId_ = value;
        return this;
      }
      public Builder clearSourceId() {
        result.hasSourceId = false;
        result.sourceId_ = 0;
        return this;
      }
      
      // optional int32 messageType = 2;
      public boolean hasMessageType() {
        return result.hasMessageType();
      }
      public int getMessageType() {
        return result.getMessageType();
      }
      public Builder setMessageType(int value) {
        result.hasMessageType = true;
        result.messageType_ = value;
        return this;
      }
      public Builder clearMessageType() {
        result.hasMessageType = false;
        result.messageType_ = 0;
        return this;
      }
      
      // required int32 messageTime = 3;
      public boolean hasMessageTime() {
        return result.hasMessageTime();
      }
      public int getMessageTime() {
        return result.getMessageTime();
      }
      public Builder setMessageTime(int value) {
        result.hasMessageTime = true;
        result.messageTime_ = value;
        return this;
      }
      public Builder clearMessageTime() {
        result.hasMessageTime = false;
        result.messageTime_ = 0;
        return this;
      }
      
      // @@protoc_insertion_point(builder_scope:ru.omnicomm.pegasus.messaging.common.MessageHeader)
    }
    
    static {
      defaultInstance = new MessageHeader(true);
      ru.omnicomm.pegasus.messaging.common.CommonParser.internalForceInit();
      defaultInstance.initFields();
    }
    
    // @@protoc_insertion_point(class_scope:ru.omnicomm.pegasus.messaging.common.MessageHeader)
  }
  
  private static com.google.protobuf.Descriptors.Descriptor
    internal_static_ru_omnicomm_pegasus_messaging_common_MessageHeader_descriptor;
  private static
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_ru_omnicomm_pegasus_messaging_common_MessageHeader_fieldAccessorTable;
  
  public static com.google.protobuf.Descriptors.FileDescriptor
      getDescriptor() {
    return descriptor;
  }
  private static com.google.protobuf.Descriptors.FileDescriptor
      descriptor;
  static {
    java.lang.String[] descriptorData = {
      "\n\023MessageHeader.proto\022$ru.omnicomm.pegas" +
      "us.messaging.common\"K\n\rMessageHeader\022\020\n\010" +
      "sourceId\030\001 \002(\005\022\023\n\013messageType\030\002 \001(\005\022\023\n\013m" +
      "essageTime\030\003 \002(\005B4\n$ru.omnicomm.pegasus." +
      "messaging.commonB\014CommonParser"
    };
    com.google.protobuf.Descriptors.FileDescriptor.InternalDescriptorAssigner assigner =
      new com.google.protobuf.Descriptors.FileDescriptor.InternalDescriptorAssigner() {
        public com.google.protobuf.ExtensionRegistry assignDescriptors(
            com.google.protobuf.Descriptors.FileDescriptor root) {
          descriptor = root;
          internal_static_ru_omnicomm_pegasus_messaging_common_MessageHeader_descriptor =
            getDescriptor().getMessageTypes().get(0);
          internal_static_ru_omnicomm_pegasus_messaging_common_MessageHeader_fieldAccessorTable = new
            com.google.protobuf.GeneratedMessage.FieldAccessorTable(
              internal_static_ru_omnicomm_pegasus_messaging_common_MessageHeader_descriptor,
              new java.lang.String[] { "SourceId", "MessageType", "MessageTime", },
              ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader.class,
              ru.omnicomm.pegasus.messaging.common.CommonParser.MessageHeader.Builder.class);
          return null;
        }
      };
    com.google.protobuf.Descriptors.FileDescriptor
      .internalBuildGeneratedFileFrom(descriptorData,
        new com.google.protobuf.Descriptors.FileDescriptor[] {
        }, assigner);
  }
  
  public static void internalForceInit() {}
  
  // @@protoc_insertion_point(outer_class_scope)
}
